# Compilation error in net.c

From: Henning Meier-Geinitz (hmg-ml@gmx.de)
Date: Fri Mar 30 2001 - 08:28:41 PST

- Next message: JFL Sane Dev: "test, please ignore"
  - Previous message: hkantola+sane@cc.helsinki.fi: "Re: Xsane build problems"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  Hi,

  I just tried to compile the current CVS sane-backends on Irix 6.2 and
  got the following error message:

  gmake[1]: Entering directory /tmp/sane-backends/backend'
  rm -f .libs/net.lo
  cc -c -g -DHAVE_CONFIG_H -I. -I. -I../include -I../include
  -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/tmp/sane-bin/etc/sane.d
  -DPATH_SANE_DATA_DIR=/tmp/sane-bin/share -DV_MAJOR=1 -DV_MINOR=0
  -DBACKEND_NAME=net -DLIBDIR=/tmp/sane-bin/lib/sane net.c -DPIC -o
  .libs/net.lo
  cfe: Error: net.c, line 811: Syntax Error
  socklen_t len;
  ------------^
  gmake[1]: *** [net.lo] Error 1

  socklen_t doesn't seem to be known. Man getpeername on this platform
  says:

  int getpeername (int s, struct sockaddr *name, int *namelen);

  So some kind of magic (in configure.in?) may be neccessary.

  By the way: Compilations on AIX and Solaris worked fine and after
  changing socklen_t to int the Irix compilation also worked.

  Bye,
  Henning

      --
      Source code, list archive, and docs: http://www.mostang.com/sane/
      To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

  - Next message: JFL Sane Dev: "test, please ignore"
  - Previous message: hkantola+sane@cc.helsinki.fi: "Re: Xsane build problems"
  - Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

  This archive was generated by hypermail 2b29 : Fri Mar 30 2001 - 08:17:09 PST